#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	24.12.1
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		akonadiconsole
Summary:	Akonadi Console
Name:		ka6-%{kaname}
Version:	24.12.1
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	70b942d6bd7e3f0db7aa85e31c86a6f1
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= 5.15.2
BuildRequires:	Qt6DBus-devel >= 5.15.2
BuildRequires:	Qt6Gui-devel >= 5.15.2
BuildRequires:	Qt6Sql-devel
BuildRequires:	Qt6Test-devel
BuildRequires:	Qt6Widgets-devel >= 5.15.2
BuildRequires:	cmake >= 3.20
BuildRequires:	gettext-devel
BuildRequires:	gpgme-qt6-devel
BuildRequires:	ka6-akonadi-calendar-devel >= %{kdeappsver}
BuildRequires:	ka6-akonadi-contacts-devel >= %{kdeappsver}
BuildRequires:	ka6-akonadi-search-devel >= %{kdeappsver}
BuildRequires:	ka6-calendarsupport-devel >= %{kdeappsver}
BuildRequires:	ka6-kidentitymanagement-devel >= %{kdeappsver}
BuildRequires:	ka6-kmime-devel >= %{kdeappsver}
BuildRequires:	ka6-kpimtextedit-devel >= %{kdeappsver}
BuildRequires:	ka6-libkdepim-devel >= %{kdeappsver}
BuildRequires:	ka6-messagelib-devel >= %{kdeappsver}
BuildRequires:	ka6-pimcommon-devel >= %{kdeappsver}
BuildRequires:	kf6-extra-cmake-modules >= 5.91.0
BuildRequires:	kf6-kauth-devel >= 5.93.0
BuildRequires:	kf6-kcalendarcore-devel >= 5.91.0
BuildRequires:	kf6-kcodecs-devel >= 5.93.0
BuildRequires:	kf6-kcompletion-devel >= 5.93.0
BuildRequires:	kf6-kconfig-devel >= 5.93.0
BuildRequires:	kf6-kconfigwidgets-devel >= 5.93.0
BuildRequires:	kf6-kcontacts-devel >= 5.91.0
BuildRequires:	kf6-kcoreaddons-devel >= 5.93.0
BuildRequires:	kf6-kcrash-devel >= 5.91.0
BuildRequires:	kf6-kdbusaddons-devel >= 5.91.0
BuildRequires:	kf6-kdoctools-devel >= 5.91.0
BuildRequires:	kf6-ki18n-devel >= 5.93.0
BuildRequires:	kf6-kio-devel >= 5.91.0
BuildRequires:	kf6-kitemmodels-devel >= 5.91.0
BuildRequires:	kf6-kitemviews-devel >= 5.93.0
BuildRequires:	kf6-kjobwidgets-devel >= 5.93.0
BuildRequires:	kf6-kservice-devel >= 5.91.0
BuildRequires:	kf6-ktextwidgets-devel >= 5.91.0
BuildRequires:	kf6-kwidgetsaddons-devel >= 5.93.0
BuildRequires:	kf6-kxmlgui-devel >= 5.91.0
BuildRequires:	kf6-solid-devel >= 5.93.0
BuildRequires:	kf6-sonnet-devel >= 5.93.0
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xapian-core-devel
BuildRequires:	xz
ExcludeArch:	x32 i686
Obsoletes:	ka5-%{kaname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Akonadi console.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/akonadiconsole
%ghost %{_libdir}/libakonadiconsole.so.6
%attr(755,root,root) %{_libdir}/libakonadiconsole.so.*.*
%{_desktopdir}/org.kde.akonadiconsole.desktop
%{_iconsdir}/hicolor/*x*/apps/akonadiconsole.png
%{_datadir}/qlogging-categories6/akonadiconsole.categories
%{_datadir}/qlogging-categories6/akonadiconsole.renamecategories
%changelog
* Sat Jan 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-akonadiconsole.git;a=log;h=auto/th/ka6-akonadiconsole-24.12.1-1

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> aea361a
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 35c7720
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 10aceaf
- updated to 24.08.3

* Fri Oct 18 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d598af3
- relup

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1e115bb
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 0b26dd6
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1d4e1e1
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 173bdfd
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d81577c
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 95c3040
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 2bb88c6
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 0dfe0ba
- updated to 24.02.1

* Mon Mar 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 8bbf070
- updated to 24.02.0

